#!/bin/bash
# pom 11 may 2016
DIR1=/tmp/psu-prnews
if [ ! -d ${DIR1} ] ; then
     sudo mkdir ${DIR1}
fi
sudo useradd -m -s /bin/bash prnews
echo "input password for prnews"
sudo passwd prnews

#sudo apt-get install tftpd-hpa tftp
sudo apt-get -y install tftpd-hpa 
sudo mkdir -p /var/lib/tftpboot/sysresccd
sudo mkdir -p /var/lib/tftpboot/pxelinux.cfg


VERSION1=4.7.2
wget -N http://ftp.psu.ac.th/pub/sysresccd/systemrescuecd-x86-${VERSION1}.iso -P /tmp
DIR2=/tmp/sysresccd
if [ ! -d ${DIR2} ] ; then
     sudo mkdir ${DIR2}
fi
sudo mount -o loop /tmp/systemrescuecd-x86-${VERSION1}.iso ${DIR2}
sudo cp -v /tmp/sysresccd/isolinux/pxelinux.0 /var/lib/tftpboot/
sudo cp -v /tmp/sysresccd/sysrcd* /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/initram.igz /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/chain.c32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/menu.c32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/memdisk /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/altker32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/rescue32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/isolinux/vesamenu.c32 /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/freedos.img /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/hdt.img /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/mhdd.img /var/lib/tftpboot/sysresccd/
sudo cp -v /tmp/sysresccd/bootdisk/memtestp /var/lib/tftpboot/sysresccd/
sudo umount ${DIR2} 


sudo cp     ${DIR1}/psu-12.jpg      /var/lib/tftpboot/sysresccd
sudo cp     ${DIR1}/default*        /var/lib/tftpboot/pxelinux.cfg
     cp -r  ${DIR1}/scripts         ${HOME} 
     cp -r  ${DIR1}/psu-prnews      ${HOME} 
sudo cp     ${DIR1}/*.jpg           /home/prnews
sudo chown  prnews                  /home/prnews -R
sudo ln -n  /home/prnews            /var/www/html
echo "---------------------------------------------------------------"
echo "please sudo crontab -e => 0 4 * * * bash ${HOME}/prnews.sh"
echo "---------------------------------------------------------------"
echo "-----------------------------"

#------------------- remarks
#if u want to install dhcp server
#sudo apt-get -y install isc-dhcp-server
# see example config dhcpd.conf.org 
# sudo service isc-dhcp-server restart 
#if u don't want prnews   run bash script/defaultfake.sh  
#if u want prnews         run bash script/defaultreal.sh
# set bios client to boot from network 
